/**
 * beep.h: beeper fuckin musicality bitches
 * 2014 by true
 *
 * ----
 * 
 * do what you want 'cause a pirate is free
 * you are a pirate
 *
**/

#ifndef __DEVICE_BEEP_H
#define __DEVICE_BEEP_H



/* constants */
#define BEEP_BUF_SIZE 			8 		// max 127


/* prototypes */
void beep_init();
void beep_update();

void beep_clear_queue();
uint16_t beep(uint16_t tone_id, uint16_t duration);



#endif /* __DEVICE_BEEP_H */
